WordPress WP Symposium bővítmény SQL befecskendezéses sérülékenységek

CH azonosító

CH-7169

Angol cím

WordPress WP Symposium Plugin Multiple SQL Injection Vulnerabilities

Felfedezés dátuma

2012.07.09.

Súlyosság

Közepes

Érintett rendszerek

WP Symposium plugin
WordPress

Érintett verziók

WordPress WP Symposium Plugin

Összefoglaló

A WordPress WP Symposium bővítményének olyan sérülékenységét jelentették, amelyet a rosszindulatú felhasználók és a támadók kihasználhatnak SQL befecskendezése (SQL injection) támadások indítására.

Leírás

A különböző script-ek paraméterein keresztül átadott bemeneti adatok nincsenek megfelelően megtisztítva, mielőtt SQL lekérdezésekben felhasználnák azokat. Ez kihasználható az SQL lekérdezések megváltoztatására, tetszőleges SQL kód befecskendezésével.

Az érintett script-ek és paraméterek listája:

  • http://[host]/wp-content/plugins/wp-symposium/ajax/symposium_group_functions.php?uid1
  • http://[host]/wp-content/plugins/wp-symposium/ajax/symposium_mail_functions.php?mail_to
  • http://[host]/wp-content/plugins/wp-symposium/ajax/symposium_mail_functions.php?recipient_id
  • http://[host]/wp-content/plugins/wp-symposium/ajax/symposium_mail_functions.php?mid
  • http://[host]/wp-content/plugins/wp-symposium/ajax/symposium_mail_functions.php?uid
  • http://[host]/wp-content/plugins/wp-symposium/ajax/symposium_mail_functions.php?start
  • http://[host]/wp-content/plugins/wp-symposium/ajax/symposium_mail_functions.php?length
  • http://[host]/wp-content/plugins/wp-symposium/ajax/symposium_mail_functions.php?mail_id
  • http://[host]/wp-content/plugins/wp-symposium/ajax/symposium_bar_functions.php?chat_to
  • http://[host]/wp-content/plugins/wp-symposium/ajax/symposium_forum_functions.php?tid

A sérülékenységeket a 12.06.16 verzióban jelentették, de más kiadások is érintettek lehetnek.

Megoldás

Frissítsen a legújabb verzióra